
#include <jni.h>
#include <android/log.h>


static int	cnt = 0;


#define  LOGI(...)  __android_log_print(ANDROID_LOG_INFO,  "INFO",  __VA_ARGS__)
#define  LOGE(...)  __android_log_print(ANDROID_LOG_ERROR, "ERROR", __VA_ARGS__)

extern "C"
{
JNIEXPORT void JNICALL		Java_sys_BaseActivity_initNative(JNIEnv*, jobject, jint, jint);
JNIEXPORT jboolean JNICALL	Java_sys_BaseActivity_updateNative(JNIEnv*, jobject);
}

/************
    初期化
 ************/
JNIEXPORT void JNICALL	Java_sys_BaseActivity_initNative(JNIEnv*, jobject, jint _width, jint _height)
{
	LOGI("initNative (%d, %d)", _width, _height);
}

/**********
    稼働
 **********/
JNIEXPORT jboolean JNICALL	Java_sys_BaseActivity_updateNative(JNIEnv*, jobject)
{
	if ( cnt % 60 == 0 ) {
		LOGI("updateNative %4d", cnt/60);
	}
	cnt++;
    return	JNI_TRUE;
}

/**************** End of File *************************************************/